@echo off
cd /d %~dp0
ECHO Sicherungstool wird installiert...

SET LAUFWERK=X:
SET /p LAUFWERK=Bitte ein Ziellaufwerk eingeben (Vorgabe ist X:)

SET "LAUFWERK=%LAUFWERK:~,1%:"

SET LAUFWERK
CALL :UPPERCASE LAUFWERK


:PRUEFUNG
IF EXIST %LAUFWERK% (
GOTO :SCRIPT-INSTALLATION
)

IF NOT EXIST %LAUFWERK% (
ECHO Sorry, aktuell gibt es keinen Zugriff auf Laufwerk %LAUFWERK%, daher kann keine Installation erfolgen!
pause
GOTO FEHLER
)


:SCRIPT-INSTALLATION
IF EXIST .\Script\install.reg del /q .\Script\install.reg
ECHO Windows Registry Editor Version 5.00 >> .\Script\install.reg
ECHO [HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run] >> .\Script\install.reg
ECHO "Backup"="%LAUFWERK%\\Backup\\Script\\backup.bat" >> .\Script\install.reg
XCOPY .\Script\backup.bat %LAUFWERK%\Backup\Script\ /E /Q /H /Y 
GOTO REGISTRY-INSTALLATION


:REGISTRY-INSTALLATION
reg import .\Script\install.reg
del /q .\Script\install.reg
GOTO ERFOLG


:FEHLER
cls
ECHO Ein Fehler ist aufgetreten, die Installation wird abgebrochen!
pause
exit


:ERFOLG
ECHO Die Installation auf Laufwerk %LAUFWERK% war erfolgreich!
pause
exit


:UPPERCASE
FOR %%i IN ("a=A" "b=B" "c=C" "d=D" "e=E" "f=F" "g=G" "h=H" "i=I" "j=J" "k=K" "l=L" "m=M" "n=N" "o=O" "p=P" "q=Q" "r=R" "s=S" "t=T" "u=U" "v=V" "w=W" "x=X" "y=Y" "z=Z") DO CALL SET "%1=%%%1:%%~i%%"
cls
GOTO PRUEFUNG
