@ECHO OFF
cd /d %~dp0


:DATUMLOG
set datumlog=Log_%date:~-4%_%date:~3,2%_%date:~0,2%.txt


:CHECKLOGFOLDER
IF NOT EXIST ..\Logs MD ..\Logs


:WOCHENTAG
set DOW=
for /f %%g in ('wmic path win32_localtime get dayofweek^|findstr /v /r "^$"') do (
set DOW=%%g)
if %DOW%==0 set DOW=Sonntag
if %DOW%==1 set DOW=Montag
if %DOW%==2 set DOW=Dienstag
if %DOW%==3 set DOW=Mittwoch
if %DOW%==4 set DOW=Donnerstag
if %DOW%==5 set DOW=Freitrag
if %DOW%==6 set DOW=Samstag


:WINDOWSVERSION
SET V=0
echo %V%
for /f "tokens=4-5 delims=. " %%i in ('ver') do set VERSION=%%i.%%j
REM Windows-Versions-Infos: 5.0 = 2000, 5.1 = XP, 5.2 = XP 64, 6.0 = Vista, 6.1 = 7, 6.2 = 8, 6.3 = 8.1, 10.0 = 10
if "%version%" == "5.0" SET V=1
if "%version%" == "5.1" SET V=1
if "%version%" == "5.2" SET V=1
if "%version%" == "6.0" SET V=2
if "%version%" == "6.1" SET V=2
if "%version%" == "6.2" SET V=2
if "%version%" == "6.3" SET V=2
if "%version%" == "10.0" SET V=2

IF %V%==0 GOTO FEHLER1


:SICHERUNG
ECHO.
ECHO Desktop wird gesichert...
robocopy.exe "%USERPROFILE%\Desktop" "..\%DOW%\Desktop" /E /COPY:D /Z /R:0 /W:0 /LOG+:"..\Logs\%datumlog%"
robocopy.exe "%PUBLIC%\Desktop" "..\%DOW%\DesktopAllUsers" /E /COPY:D /Z /R:0 /W:0 /NP /LOG+:"..\Logs\%datumlog%"
cls

ECHO.
ECHO Eigene Dokumente werden gesichert...
IF %V%==1 robocopy.exe "%USERPROFILE%\Eigene Dateien" "..\%DOW%\EigeneDateien" /E /COPY:D /Z /R:0 /W:0 /LOG+:"..\Logs\%datumlog%")
IF %V%==2 robocopy.exe "%USERPROFILE%\Documents" "..\%DOW%\Documents" /E /COPY:D /Z /R:0 /W:0 /LOG+:"..\Logs\%datumlog%"
cls

ECHO.
ECHO Favoriten werden gesichert...
robocopy.exe "%USERPROFILE%\Favorites" "..\%DOW%\Favorites" /E /COPY:D /Z /R:0 /W:0 /NP /LOG+:"..\Logs\%datumlog%"
cls

ECHO.
ECHO Firefox wird gesichert (falls vorhanden)
IF EXIST %APPDATA%\Mozilla\Firefox (
taskkill /im firefox.exe
robocopy.exe "%APPDATA%\Mozilla\Firefox" "..\%DOW%\Firefox" /E /COPY:D /Z /R:0 /W:0 /NP /LOG+:"..\Logs\%datumlog%"
cls
)


ECHO.
ECHO Outlook wird gesichert (falls vorhanden)
IF EXIST %APPDATA%\..\Local\Microsoft\Outlook (
taskkill /im outlook.exe
ECHO Ping als Verzoegerung
ping -4 -n 4 127.0.0.1
REM robocopy.exe "%APPDATA%\..\Local\Microsoft\Outlook" "..\%DOW%\Outlook" /E /COPY:D /Z /R:0 /W:0 /NP /LOG+:"..\Logs\%datumlog%"
cls
)

ECHO.
ECHO Thunderbird wird gesichert...
IF EXIST %APPDATA%\Thunderbird (
taskkill /im thunderbird.exe
ECHO Ping als Verzoegerung
ping -4 -n 4 127.0.0.1
robocopy.exe "%APPDATA%\Thunderbird" "..\%DOW%\Thunderbird" /E /COPY:D /Z /R:0 /W:0 /NP /LOG+:"..\Logs\%datumlog%"
cls
)

GOTO ENDE


:FEHLER1
cls
ECHO Es wurde keine kompatible Windows-Version gefunden. Die Sicherung wird abgebrochen!
pause
exit


:ENDE
ECHO Sicherung erfolgreich
pause
exit
